Loading...
Searching...
No Matches
osim_file_ops Struct Reference

Operations for a given File. More...

`#include <sim.h>`

## Data Fields

int(* | parse )(struct osim_decoded_data *dd, const struct osim_file_desc *desc, int len, uint8_t *data)
| Parse binary file data into osim_decoded_data.
struct msgb *(* | encode )(const struct osim_file_desc *desc, const struct osim_decoded_data *decoded)
| Encode osim_decoded_data into binary file.

## Detailed Description

Operations for a given File.

## Field Documentation

## encode

struct msgb *(* osim_file_ops::encode) (const struct osim_file_desc *desc, const struct osim_decoded_data *decoded)

Encode osim_decoded_data into binary file.

## parse

int(* osim_file_ops::parse) (struct osim_decoded_data *dd, const struct osim_file_desc *desc, int len, uint8_t *data)

Parse binary file data into osim_decoded_data.

The documentation for this struct was generated from the following file:

- include/osmocom/sim/sim.h